package com.ai.da.model.enums;

import com.fasterxml.jackson.annotation.JsonValue;

/**
 * @Author: SHAHAIBO
 * @Date: 2023/08/01 17:21
 * @Description: 服装性别分类
 */
public enum FemalePosition implements IEnumDisplay {

    OUTWEAR("Outwear"),
    BLOUSE("Blouse"),
    DRESS("Dress"),
    TROUSERS("Trousers"),
    SKIRT("Skirt"),
    OTHERS("Others");

    private String value;

    FemalePosition(String value) {
        this.value = value;
    }

    @Override
    @JsonValue
    public String getValue() {
        return this.value;
    }

    public static FemalePosition getPosition(String value) {
        for (FemalePosition position : values()) {
            if (position.value.equalsIgnoreCase(value)) {
                return position;
            }
        }
        throw new IllegalArgumentException("No matching constant for [" + value + "]");
    }
}
